APIs / Immoweb / Discovery

Immoweb: Discovery

Discovery from Immoweb as JSON. 1 credit per successful call.

GET /v1/immoweb/discovery

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
modulestringRequiredguest, newest-classifieds-for-sale, newest-classifieds-for-rent, popular-classifieds, newest, popular, similar
transactionTypesstringOptionalFOR_SALE, FOR_RENT
languagestringOptionalnl, fr, en

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/immoweb/discovery?module=newest&transactionTypes=FOR_SALE" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.